Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 14:25:05 +0200

Jamie Forth <[email-masked]> writes:

>> 10:19:12 [quimby.gnus.org] 7219 SELECT "spam"
>> 10:19:12 [quimby.gnus.org] 7220 UID STORE 392789 +FLAGS.SILENT (\Deleted)
>> 10:19:12 [quimby.gnus.org] 7221 UID EXPUNGE 392789
>>
>> So the message was deleted from the nnimap component group.
>>
>> Are you still seeing this bug in newer Emacs versions?
>
> Thanks for looking into it, I still experience the issue with Emacs
> 27.0.50.

By "the issue", do you mean that messages in INBOX aren't expunged after
splitting mail?

> My setup is fairly minimal. This is how imap is configured.
>
> (add-to-list
>  'gnus-secondary-select-methods
>  '(nnimap "gold"
>           (nnimap-stream shell)
>           (nnimap-shell-program
>            "/usr/lib/dovecot/imap -c ~/.config/dovecot/gold.conf  2> /dev/null")
>           (nnir-search-engine imap)
>           (nnmail-expiry-target "nnimap+gold:Deleted Items")
>           (nnmail-expiry-wait immediate)))
>
> I’m not quite sure how to debug this, but if you have any suggestion
> I’ll give them a try.

(setq nnimap-record-commands t)

and look in the "*imap log*" buffer after splitting, and post the
relevant bits here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no